org.kie.internal.ruleunit

## Interface RuleUnitComponentFactory

-     public interface RuleUnitComponentFactory

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `RuleUnitComponentFactory.FactoryHolder`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `RuleUnitDescription` | `createRuleUnitDescription(org.kie.api.definition.KiePackage pkg, Class<?> ruleUnitClass)`
    `RuleUnitDescription` | `createRuleUnitDescription(org.kie.api.definition.KiePackage pkg, String ruleUnitSimpleName)` Creates a rule unit description from the given qualified name.
    `static RuleUnitComponentFactory` | `get()`
    `boolean` | `isDataSourceClass(Class<?> ruleUnitClass)`
    `boolean` | `isLegacyRuleUnit()`
    `boolean` | `isRuleUnitClass(Class<?> ruleUnitClass)`
    `ApplyPmmlModelCommandExecutor` | `newApplyPmmlModelCommandExecutor()`

- - ### Method Detail

    - #### get

          static RuleUnitComponentFactory get()

    - #### createRuleUnitDescription

          RuleUnitDescription createRuleUnitDescription(org.kie.api.definition.KiePackage pkg,
                                                        Class<?> ruleUnitClass)

    - #### createRuleUnitDescription

          RuleUnitDescription createRuleUnitDescription(org.kie.api.definition.KiePackage pkg,
                                                        String ruleUnitSimpleName)

      Creates a rule unit description from the given qualified name. Optional operation (may be provided by alternative implementations)
      Returns:
        null if not supported or missing.

    - #### newApplyPmmlModelCommandExecutor

          ApplyPmmlModelCommandExecutor newApplyPmmlModelCommandExecutor()

    - #### isRuleUnitClass

          boolean isRuleUnitClass(Class<?> ruleUnitClass)

    - #### isDataSourceClass

          boolean isDataSourceClass(Class<?> ruleUnitClass)

    - #### isLegacyRuleUnit

          boolean isLegacyRuleUnit()

Copyright © 2001–2021 JBoss by Red Hat. All rights reserved.